package CK.IA;

public class GoalAuction {
	private Goal goal;
	private int owner;
	private int winner;

	public GoalAuction(Goal g, int owner) {
		this.goal = g;
		this.owner = owner;
		setWinner(-1);
	}

	public Goal getGoal() {
		return goal;
	}

	public int getOwner() {
		return owner;
	}

	public int getWinner() {
		return winner;
	}

	public void setGoal(Goal goal) {
		this.goal = goal;
	}

	public void setOwner(int owner) {
		this.owner = owner;
	}

	public void setWinner(int winner) {
		this.winner = winner;
	}
}
